FruxonDocs
ApiKnowledge bases

Deletes a document

Removes the authoring document. The currently indexed snapshot is unchanged until the knowledge base is published again.

DELETE
/v1/tenants/{tenant}/knowledgeBases/{knowledgeBase}/documents/{document}
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

knowledgeBase*string

The knowledge base id.

Formatuuid
document*string

The document id.

Formatuuid
tenant*string

The tenant identifier

Response Body

curl -X DELETE "https://api.fruxon.com/v1/tenants/string/knowledgeBases/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}